Python
import requests
url = "https://app.langwatch.ai/api/evaluators/{id}"
payload = {
"name": "<string>",
"config": {}
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', config: {}})
};
fetch('https://app.langwatch.ai/api/evaluators/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://app.langwatch.ai/api/evaluators/{id} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"name": "<string>",
"config": {}
}
'{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"config": {},
"workflowId": "<string>",
"copiedFromEvaluatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"fields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"outputFields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"platformUrl": "<string>",
"workflowName": "<string>",
"workflowIcon": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Evaluators
Update an existing evaluator
Update an existing evaluator
PUT
/
api
/
evaluators
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/evaluators/{id}"
payload = {
"name": "<string>",
"config": {}
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', config: {}})
};
fetch('https://app.langwatch.ai/api/evaluators/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://app.langwatch.ai/api/evaluators/{id} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"name": "<string>",
"config": {}
}
'{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"config": {},
"workflowId": "<string>",
"copiedFromEvaluatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"fields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"outputFields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"platformUrl": "<string>",
"workflowName": "<string>",
"workflowIcon": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I